<?php
namespace FiloBlu\Eva\Model\Config\Source;

class AnimationType implements \Magento\Framework\Option\ArrayInterface
{
	protected  $_blockModel;

    /**
     * @param \Magento\Cms\Model\Block $blockModel
     */
    public function __construct(
    	\Magento\Cms\Model\Block $blockModel
    	) {
    	$this->_groupModel = $blockModel;
    }

    /**
     * Options getter
     *
     * @return array
     */
    public function toOptionArray()
    {
    	$options = [
            ['label' =>__('Slide in from top'),'value'=> 'slideIn-from-top'],
            ['label' =>__('Slide in from bottom'),'value'=> 'slideIn-from-bottom'],
            ['label' =>__('Slide in from right'),'value'=> 'slideIn-from-right'],
            ['label' =>__('Slide in from left'),'value'=> 'slideIn-from-left'],
            ['label' =>__('Fade in'),'value'=> 'fade-in'],
            ['label' =>__('Pop in'),'value'=> 'pop-in']

        ];
        array_unshift($options, array(
                'value' => '',
                'label' => '',
                ));
        return $options;
    }
}